🎉 🎉 RAPIDMINER 9.10 IS OUT!!! 🎉🎉

Download the latest version helping analytics teams accelerate time-to-value for streaming and IIOT use cases.

CLICK HERE TO DOWNLOAD

[SOLVED] Problems while trying to build an extension using the template!

RaedMarjiRaedMarji Member Posts: 13 Contributor II
edited June 2019 in Help
I have been trying to figure this out for a week now and I would appreciate any help.

when it comes to Java Im not profeciant in it but I manage however I facing problems while trying to build the template that is provided with the book
I have changed the mentions of vega to unuk with no luck

my system is running linux mint (debian) and Im using eclipse
I have open JDK 1.7 installed also i just installed oracle's JDK 1.6

I would like to know exactly how to run my plugin as its not that clear to me yet how to do it although I tried to run it through eclipse using ant.

I know that all of you are busy but please update all of your references and documents with the latest updates you make... make it easier for us to extend the awesome rapidminer :D

Thanks in advance for any help :)

my build output
Buildfile: /home/thunder/Desktop/rapidminer/ws/RapidMiner_Extension_Tutorial/build.xml
clean:
    [echo] Cleaning...
  [delete] Deleting directory /home/thunder/Desktop/rapidminer/ws/RapidMiner_Extension_Tutorial/build
  [delete] Deleting directory /home/thunder/Desktop/rapidminer/ws/RapidMiner_Extension_Tutorial/javadoc
   [mkdir] Created dir: /home/thunder/Desktop/rapidminer/ws/RapidMiner_Extension_Tutorial/build
   [mkdir] Created dir: /home/thunder/Desktop/rapidminer/ws/RapidMiner_Extension_Tutorial/javadoc
version.get:
    [echo] Long version: 5.0.000; short version: 5.0
init.setEncoding:
init:
Trying to override old definition of task get
Trying to override old definition of task rpm
Trying to override old definition of task post
init.setEncoding:
copy-resources:
    [echo] Copying resources...
    [copy] Copying 10 files to /home/thunder/Desktop/rapidminer/ws/RapidMiner_Extension_Tutorial/build
changes.testExistence:
merge.changes:
prepare_agpl:
build:
    [echo] build.no_agpl=${build.no_agpl}
clean:
clean_agpl:
build.rm:

BUILD FAILED
/home/thunder/Desktop/rapidminer/ws/RapidMiner_Unuk/build_extension.xml:152: The following error occurred while executing this line:
/home/thunder/Desktop/rapidminer/ws/RapidMiner_Unuk/build_extension.xml:217: The following error occurred while executing this line:
/home/thunder/Desktop/rapidminer/ws/RapidMiner_Unuk/build.xml:329: java.lang.UnsupportedClassVersionError: com/oracle/appbundler/AppBundlerTask : Unsupported major.minor version 51.0

Total time: 3 seconds

Answers

  • StaryVenaStaryVena Member Posts: 126  Maven
    Hi,
    try to click on build.xml with right Mouse button -> Run As -> Ant build and check only "install" target.

    Best,
    Václav
  • SkirzynskiSkirzynski Member Posts: 164  Maven
    The error "Unsupported major.minor version 51.0" means that you have compiled java classes with Java 7 but want to run this classes with a lower Java version, in you case Java 6. To fix this problem, go to "External Tools Configurations" (right-click on the target, than go to "Run As.." and finally "External Tools Configurations") and change the java version accordingly.
  • RaedMarjiRaedMarji Member Posts: 13 Contributor II
    Thanks All I fixed it got fixed... I was using open JDK 7 , and for some reason it didnt work properly so I installed Oracles JDK and everything is working properly now, also note I had to move the ant folder to my project directory for it to work because it seems there is a problem when using Unix based OS.
Sign In or Register to comment.